// wait until the page and jQuery have loaded before running the code below
jQuery(document).ready(function($){
	
	// alert("PUBLIC JS - phpInfo.suwp_siteurl = " + phpInfo.suwp_siteurl);
	
	// values provided by Product page.
	// Need to modify for other pages
    // var $home_dd = phpInfo.suwp_home;
    var $siteurl_dd = phpInfo.suwp_siteurl;
	var doc_pathname = '/wp-admin/admin-ajax.php';
	
	// setup our wp ajax URL
	var wpajax_url =  $siteurl_dd + doc_pathname;
	
	/**
	alert("wpajax_url = " + wpajax_url );
	alert("document.location.protocol = " + document.location.protocol );
	alert("document.location.host = " + document.location.host );
	alert("document.location.pathname = " + document.location.pathname );
	alert("MODIFIED doc_pathname = " + doc_pathname );
	**/
	
    $(".suwp-group").each(function(){
		// alert("THE variations VALUE = " + $(this).find(':input').attr('name') ); //<-- Should return all input elements in that specific form.
	});
	
	$(".suwp-group :input").change(function() { // :input includes textfields, etc
		// var name = $(this).attr('name');
        // var val = $(this).val();
		// alert("suwp-group :input.change, name = " + name + ", value = " + val );    
      });
    
	
    var $post_id_dd = $('[name="add-to-cart"]');
	
    // create references to the brand/model dropdown fields for later use.
    var $brands_dd = $('[name="suwp-brand-id"]');
    var $models_dd = $('[name="suwp-model-id"]'); 
    var $modelname_dd = $('[name="_suwp-model-name"]');
	
    // create references to the country/network dropdown fields for later use.
    var $countries_dd = $('[name="suwp-country-id"]');
    var $networks_dd = $('[name="suwp-network-id"]'); 
    var $networkname_dd = $('[name="_suwp-network-name"]');

    // create references to the mep dropdown field for later use.
    var $meps_dd = $('[name="suwp-mep-id"]'); 
    var $mepname_dd = $('[name="_suwp-mep-name"]');

    // run the populate_brandmodel_fields function, and additionally run it every time a value changes
	if( typeof $brands_dd.val() != 'undefined' ) {
		populate_brandmodel_fields();
		$('select').change(function() {
			populate_brandmodel_fields();
		});
	}
	
	// run the populate_countrynetwork_fields function, and additionally run it every time a value changes
	if( typeof $countries_dd.val() != 'undefined' ) {
		// alert("$countries_dd!");
		populate_countrynetwork_fields();
		$('select').change(function() {
			populate_countrynetwork_fields();
		});
	}
	
	// run the populate_mep_fields function, and additionally run it every time a value changes
	if( typeof $meps_dd.val() != 'undefined' ) {
		// alert("$meps_dd!");
		populate_mep_fields();
		$('select').change(function() {
			populate_mep_fields();
		});
	}
	
	// $('select').change(function() {
	function populate_brandmodel_fields() {
		
		// set up form action url
		var form_action_url = wpajax_url + '?action=suwp_brandmodel_populate_values';
		
		var form_data = {

            // action needs to match the action hook part after wp_ajax_nopriv_ and wp_ajax_ in the server side script.
            // pass all the currently selected values to the server side script.
            'brand' : $brands_dd.val(),
            'model' : $models_dd.val(),
			'post_id' : $post_id_dd.val(),
			
        };
		
		// send the file to php for processing...
		$.ajax({
			url: form_action_url,
			type: 'post',
			dataType: 'json',
			data: form_data,
			success: function( response ) {
				
				all_values = response;
				
				$brands_dd.html('').append($('<option>').text(' -- choose brand -- '));
				$models_dd.html('').append($('<option>').text(' -- choose model  -- '));
				
				$.each(all_values.brands, function() {
					
					$option = $("<option>").text(this).val(this);
					if (all_values.current_brand == this) {
						$option.attr('selected','selected');
					}
					$brands_dd.append($option);
				});
				
				$modelname_dd.val('');
				$.each(all_values.models, function(key, value) {
					
					$option = $("<option>").text(key).val(value);
					
					if (all_values.current_model == $option.val()) {
						$option.attr('selected','selected');
						$modelname_dd.val(key);
					}
					$models_dd.append($option);
				});	
			}
		});
	}
		
	function populate_countrynetwork_fields() {
		
		// set up form action url
		var form_action_url = wpajax_url + '?action=suwp_countrynetwork_populate_values';
		
		var form_data = {

            // action needs to match the action hook part after wp_ajax_nopriv_ and wp_ajax_ in the server side script.
            // pass all the currently selected values to the server side script.
            'country' : $countries_dd.val(),
            'network' : $networks_dd.val(),
			'post_id' : $post_id_dd.val(),
			
        };
		
		// send the file to php for processing...
		$.ajax({
			url: form_action_url,
			type: 'post',
			dataType: 'json',
			data: form_data,
			success: function( response ) {
				
				all_values = response;
				
				$countries_dd.html('').append($('<option>').text(' -- choose country -- '));
				$networks_dd.html('').append($('<option>').text(' -- choose network  -- '));
				
				$.each(all_values.countries, function() {
					
					$option = $("<option>").text(this).val(this);
					if (all_values.current_country == this) {
						$option.attr('selected','selected');
					}
					$countries_dd.append($option);
				});
				
				$networkname_dd.val('');
				$.each(all_values.networks, function(key, value) {
					
					$option = $("<option>").text(key).val(value);
					
					if (all_values.current_network == $option.val()) {
						$option.attr('selected','selected');
						$networkname_dd.val(key);
					}
					$networks_dd.append($option);
				});	
			}
		});
	}
		
	function populate_mep_fields() {
		
		// set up form action url
		var form_action_url = wpajax_url + '?action=suwp_mep_populate_values';
		
		var form_data = {

            // action needs to match the action hook part after wp_ajax_nopriv_ and wp_ajax_ in the server side script.
            // pass all the currently selected values to the server side script.
            'mep' : $meps_dd.val(),
			'post_id' : $post_id_dd.val(),
			
        };
		
		// send the file to php for processing...
		$.ajax({
			url: form_action_url,
			type: 'post',
			dataType: 'json',
			data: form_data,
			success: function( response ) {
				
				all_values = response;
				
				$meps_dd.html('').append($('<option>').text(' -- choose MEP -- '));
				
				// alert( "all_values.meps " + JSON.stringify( all_values.meps ) );
				
				$mepname_dd.val('');
				$.each(all_values.meps, function(key, value) {
					
					$option = $("<option>").text(key).val(value);
					
					if (all_values.current_mep == $option.val()) {
						$option.attr('selected','selected');
						$mepname_dd.val(key);
					}
					$meps_dd.append($option);
				});
			}
		});
	}
	
	// future implementation for cart validation without losing values
	$(".cart").submit(function() {
		
		// create references fields for later verification use.
		var $imeis_dd = $('[name="suwp-imei-values"]');
		var $email_response_dd = $('[name="suwp-email-response"]');
		
		$imeis_vals = $imeis_dd.val();
		$email_response_vals = $email_response_dd.val();
		
		// var label = $('#suwp_msg_license');
		// var month = label.attr('month');
		// var year = label.attr('year');
		// var htm = label.html();
		// var text = label.text();
		
		// var x = document.getElementById("#suwp_msg_license").htmlFor;
		// var x = document.getElementById("suwp_msg_license");
		// x.htmlFor;
		// $('.suwp_msg_license').html('');
		// $('.suwp_msg_license').html('');
		
		if( $imeis_vals === '') {
				
			// alert( "CART! ADMIN JS - SUBMISSION IS EMPTY" );
			// stop our form from submitting normally
			// return false;
		}
		
		// alert( "CART! ADMIN JS - SUBMISSION IS GOOD = " + $imeis_vals );
	});
	
});
